Skip to main content
POST
Create boleto

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json

Boleto payload

Body params to create a boleto

amount
integer
required

Amount of the boleto

counterparty
object
required
due_detail
Boleto_due_detail_params · object | null
required

Body params for boleto due detail

Example:
expiration_date
string<date>
required
invoice_type
enum<string> | null
required

Boleto invoice type. See the Invoice Type guide.

Available options:
commercial_duplicate,
indicated_commercial_duplicate,
service_duplicate,
indicated_service_duplicate,
rural_duplicate,
bill_of_exchange,
commercial_credit_note,
export_credit_note,
industrial_credit_note,
rural_credit_note,
promissory_note,
rural_promissory_note,
triplicate_commercial,
triplicate_service,
insurance_note,
receipt,
invoice,
debit_note,
insurance_policy,
school_fee,
consortium_installment,
invoice_note,
debt_document,
rural_product_certificate,
warrant,
state_active_debt,
municipal_active_debt,
federal_active_debt,
condominium_fee,
credit_card,
others
virtual_account_id
string<uuid>
required

Unique identifier

wallet_type
enum<string>
required

Boleto wallet type. See the Wallet Type guide.

Available options:
direct_electronic_partial_emission_booklet,
book_entry_electronic_booklet,
direct_electronic_with_emission_booklet,
direct_electronic_no_emission_block_client,
direct_electronic_no_emission_block_us,
book_entry_electronic_bloquete,
direct_electronic_no_emission_block_client2,
direct_electronic_partial_emission_bloquete,
direct_electronic_with_emission_bloquete,
direct_electronic_no_emission_us_emission,
direct_electronic_our_number_emission_banks_bloquete,
direct_electronic_our_number_emission_banks_booklet
description
string | null
Maximum string length: 25
external_id
string | null

External ID

Maximum string length: 40
notes
string[] | null
splits
(SplitPaymentFixedCreateParams · object | SplitPaymentPercentageCreateParams · object)[] | null

Split payment allocations to apply after the boleto transaction is received and settled. Use fixed for amounts in cents or percentage for a percentage of the received amount. Percentage allocations cannot total more than 100. Fixed allocations cannot total more than the paid amount. Any remaining value stays with the original receiver.

Fixed split payment information used to transfer part of the received transaction after settlement. The total fixed split amount cannot exceed the paid amount. Any remaining value stays with the original receiver.

Example:

Response

Created

Response for boleto

data
Boleto_Response_Params · object

Response Params for boleto

Example: